#!/usr/bin/python
# Copyright (c) 2006 Red Hat, Inc. All rights reserved. This copyrighted material 
# is made available to anyone wishing to use, modify, copy, or 
# redistribute it subject to the terms and conditions of the GNU General 
# Public License v.2.
# 
# This program is distributed in the hope that it will be useful, but WITHOUT ANY
# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE. See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
#
# Author: Dave Malcolm

import re

def getHelpFilename(desktopFilename):
    print "Looking for path of help file (within launcher: %s )"%desktopFilename
    for line in open(desktopFilename).readlines():
        m = re.match('Exec=yelp file://(.*)', line)
        if m:
            return m.group(1)
    raise "Could not identify help filename in %s"%desktopFilename

print 'Regression test for bug 187659: The "System->About Fedora" menu item would fail'
print "due to a bogus path in the about-fedora.desktop file"
print
print "This test checks the path in that file and ensures that it points at a real file"
print "It raises an exception if something is wrong"
print
helpFilename = getHelpFilename('/usr/share/applications/about-fedora.desktop')
print "Trying to open the help file: %s"%helpFilename
print "**** Content of file ****"
for line in open(helpFilename).readlines():
    print line
print "**** (end of file) ****"
print "Path appears to be correct, with a file present: Success"
